-- Enable line numbers & use relative line number for current line
vim.opt.number = true
vim.opt.relativenumber = true

-- Always display the sign column
vim.opt.signcolumn = 'yes'
vim.opt.sidescrolloff = 5
vim.opt.list = true
vim.opt.listchars = 'nbsp:⦸,trail:·,tab:▹┄,extends:»,precedes:«'
vim.opt.wrap = true
vim.opt.linebreak = true
vim.opt.showbreak = '↳ '
vim.opt.showmode = false
vim.opt.writebackup = false
vim.opt.hlsearch = true
vim.opt.incsearch = true
vim.opt.fileignorecase = false
vim.opt.hidden = true
vim.opt.splitbelow = true
vim.opt.splitright = true
vim.opt.switchbuf = 'usetab'
vim.opt.autowrite = true
vim.opt.joinspaces = false
vim.opt.mouse = 'a'

-- Use 2 space tabs by default
vim.opt.expandtab = true
vim.opt.shiftwidth = 2
vim.opt.softtabstop = 2
vim.opt.smartindent = true
vim.opt.cinoptions = 'N-sE-sg1h1l1(0,W4i2'

-- Disable unused providers
vim.g.loaded_node_provider = 0
vim.g.loaded_perl_provider = 0
vim.g.loaded_ruby_provider = 0
